<?php

    // функция вывода пользователей онлайн
    function GetOnline($type = 0,$n = 0)
    {
        $array = array();
        @$data = file_get_contents('data/user_online.txt');
        if($data)
        {
            $data = trim($data);
            $array = json_decode($data,true);
        }
        else
        {
            $n++;
            if($n < 3)
            {
                $array = GetOnline($type,$n);
            }
        }
        return $array; 
    }

    // функция вывода списка каналов с количество онлайн пользователей 0 - вывод всех каналов, 1 - вывод только где онлайн больше нуля
    function GetChannel($type = 0)
    {
        $array = array();
        @$data = file('data/channel_list.txt');
        if($data)
        {
            foreach($data as $n=>$value)
            {
                if($value != '')
                {
                    list($Channel,$Online,$Topic) = explode('::',$value,3);
                    $Channel = trim($Channel);
                    $Topic = trim($Topic);
                    $Online = trim($Online);
                    if($type == 0 || ($type == 1 && $Online > 0))
                    {
                        $array[$n]['name'] = $Channel;
                        $array[$n]['topic'] = $Topic;
                        $array[$n]['online'] = $Online;
                    }
                }

            }
        }
        else
        {
            $n++;
            if($n < 3)
            {
                $array = GetOnline($type,$n);
            }
        }
        return $array;
    }

    // вывод пользователей онлай:
    $DataArray = GetOnline();
    $online = count($DataArray) > 0 ? $DataArray['online']:0;
    // вывод списка пользователей онлайн
    $DataArray = GetOnline();
    $ResultList = '';
    if(isset($DataArray['users']))
    {
        $ListUser = $DataArray['users'];
        foreach($ListUser as $n=>$value)
        {
            if($value != '')
            {
                list($login,$ip,$status) = explode('::',$value,3);
                $ResultList .= $login.'<br />';
            }
        } 
    }
    // вывод списка каналов с количество онлайн пользователей
    $DataArray = GetChannel();
    $td = '';
    foreach($DataArray as $n=>$array)
    {
        if(isset($array['name']))
        {
           $td .= '<tr><td>'.$array['name'].'</td><td>'.$array['topic'].'</td><td>'.$array['online'].'</td></tr>';
        }
    }
?>
<h3>Example 1 - user online</h3>
<p>Online: <b><?=$online?></b></p>

<h3>Example 2 - user list online</h3>
<p><?=$ResultList?></p>

<h3>Example 3 - channel list online</h3>
<table border="1">
    <tr>
        <th>Channel</th><th>Topic</th><th>Online</th>
    </tr>
    <?=$td?>
</table>