<?php
    if(!defined('ADMIN_PANEL')) exit;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"> 
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Панель администратора</title>
        <link href="<?=$pathToCss?>style.css" rel="stylesheet" />
        <link href="<?=$pathToCss?>jquery.datetimepicker.css" rel="stylesheet" />
        <link href="<?=$pathToCss?>colorbox.css" rel="stylesheet" />
        <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.8.0/jquery.min.js"></script>
        <script src="<?=$pathToHtml?>minified/jquery.sceditor.bbcode.min.js"></script>
        <script src="<?=$pathToHtml?>js/jquery.datetimepicker.js"></script>
        <script src="<?=$pathToHtml?>js/jquery.colorbox-min.js"></script>
        <link rel="stylesheet" href="<?=$pathToHtml?>minified/themes/square.min.css" type="text/css" />
        <meta name="viewport" content="width=1024">
        <script type="text/javascript">
            $(document).ready(function() {
                var initEditor = function() {
                    $("#editor").sceditor({
                        plugins: 'bbcode',
                        style: "<?=$pathToHtml?>minified/jquery.sceditor.default.min.css",
                        toolbar: "bold,italic,underline|left,center,right|link|code|source",
                        emoticonsEnabled: false
                    });
                    $('#editor').sceditor('instance').height('300');
                };

                initEditor();

                var initEditor1 = function() {
                    $(".editorlist").sceditor({
                        plugins: 'bbcode',
                        style: "<?=$pathToHtml?>minified/jquery.sceditor.default.min.css",
                        toolbar: "bold,italic,underline|left,center,right|link|code|source",
                        emoticonsEnabled: false
                    });
                };

                initEditor1();

                var initEditor2 = function() {
                    $(".comments").sceditor({
                        plugins: 'bbcode',
                        style: "<?=$pathToHtml?>minified/jquery.sceditor.default.min.css",
                        toolbar: "bold,italic,underline|left,center,right|link|code|source",
                        emoticonsEnabled: false
                    });
                };

                initEditor2();

                $(".sceditor-container").css('width','100%');
                editorWidth = $(".sceditor-container").width();
                $(".sceditor-container").find('iframe').css('width','99%');
                $(".sceditor-container").find('textarea').css('width','99%');


                $('a[rel="nofollow"]').colorbox({rel:false});
                $('a[rel="image"]').colorbox();

                $("#typeBan").change(function(){
                    if($(this).val() == 3)
                    {
                        $('#ValueBan').html('<p><input type="checkbox" name="typeBan[0]" /> по IP-адресу</p><p><input type="checkbox" name="typeBan[1]" /> по ID компьютера</p>')
                    }
                    if($(this).val() == 1)
                    {
                        $('#ValueBan').html('<p><input type="text" name="value" /></p><p>пример написания: 192.168.0.0-192.168.0.255</p>');
                    }
                    if($(this).val() == 0)
                    {
                        $('#ValueBan').html('<p><input type="text" name="value" /></p>');
                    }
                    if($(this).val() == 2)
                    {
                        $('#ValueBan').html('<p><input type="text" name="value" /></p><p>ID клмпьютера включает 32 символа</p>'); 
                    }
                });

                $('#date1').datetimepicker({
                    format:'d.m.Y H:i',
                    lang:'ru'
                });

                $('#date2').datetimepicker({
                    format:'d.m.Y H:i',
                    lang:'ru'
                });

            });

            function getDialog(id)
            {
                $('#'+id).show();
            }

            function getDialog1(id,page)
            {
                $('#e'+id).show();
                $('#e'+id).html('<p style="text-align:center">Идет загрузка...</p>');
                $.get( "ajax.php?page="+page+"&ajax=1&id="+id, function( data ) {
                    $('#e'+id).html( data );
                });
            }

            function ClosedDialog(id)
            {
                $('#'+id).hide();
            }

            var Id = 1;
            var Id1 = 1;
            function AddUrl()
            {
                $("#listUrl").append('<div id='+Id+' class="block-element"><span class="DeleteUrl" onclick="RemoveUrl('+Id+')">-</span><input type="text" name="vkgroup[]" value="" /></div>');
                Id++; 
            }

            function AddTown()
            {
                $("#listUrl").append('<div id='+Id1+' class="block-element"><span class="DeleteUrl" onclick="RemoveUrl('+Id1+')">-</span><input placeholder="Город" type="text" style="width:100px" name="nameTown[]" /> ID: <input placeholder="ID Города" style="width:100px" type="text" name="idTown[]" /></div>');
                Id1++; 
            }

            function RemoveUrl(id)
            {
                $("#"+id).remove();
            }

            function LoadA(l,p,user)
            {
                $.get( "get_acsess.php?login="+l+"&password="+p+"&loginUser="+user+"", function( data ) {
                    $("#access_list").html(data);
                });
            }

            function AddUrl3()
            {
                baseValue = $("#baseCommand").val();
                baseRss = $("#baseRss").val();
                $("#baseCommand").val('');
                $("#baseRss").val('');

                statusCheck = '';
                if($("#baseCheck").prop("checked"))
                {
                    statusCheck = 'checked="checked"';
                }

                statusCheck1 = '';
                if($("#baseCheck1").prop("checked"))
                {
                    statusCheck1 = 'checked="checked"';
                }

                statusCheck2 = '';
                if($("#baseCheck2").prop("checked"))
                {
                    statusCheck2 = 'checked="checked"';
                }

                $("#baseCheck").attr('checked', 'checked');
                $("#baseCheck1").removeAttr("checked");
                $("#baseCheck2").removeAttr("checked");

                $("#rss-list").append('<tr id='+Id+' class="tr-center"><td><input style="width:100px" type="text" name="command['+Id+']" value="'+baseValue+'" /></td><td><input style="width:250px" type="text" name="rss['+Id+']" value="'+baseRss+'" /></td><td><input type="radio" '+statusCheck+' name="private['+Id+']" value="0" /></td><td><input type="radio" '+statusCheck1+' name="private['+Id+']" value="1" /></td><td><input type="radio" '+statusCheck2+' name="private['+Id+']" value="2" /></td><td><span class="DeleteUrl21" onclick="RemoveUrl('+Id+')">-</span></td></tr>');
                Id++;
            }

            function AddUrl33(md5,channel)
            {
                baseValue = $("#baseCommand"+md5).val();
                baseRss = $("#baseRss"+md5).val();
                $("#baseCommand"+md5).val('');
                $("#baseRss"+md5).val('');

                statusCheck = '';
                if($("#baseCheck"+md5).prop("checked"))
                {
                    statusCheck = 'checked="checked"';
                }

                statusCheck1 = '';
                if($("#baseCheck1"+md5).prop("checked"))
                {
                    statusCheck1 = 'checked="checked"';
                }

                statusCheck2 = '';
                if($("#baseCheck2"+md5).prop("checked"))
                {
                    statusCheck2 = 'checked="checked"';
                }

                statusCheck3 = '';
                if($("#f9status"+md5).prop("checked"))
                {
                    statusCheck3 = 'checked="checked"';
                }

                $("#baseCheck"+md5).attr('checked', 'checked');
                $("#baseCheck1"+md5).removeAttr("checked");
                $("#baseCheck2"+md5).removeAttr("checked");
                $("#f9status"+md5).removeAttr("checked");

                $("#rss-list"+md5).append('<tr id='+Id+' class="tr-center"><td><input style="width:100px" type="text" name="command['+channel+']['+Id+']" value="'+baseValue+'" /></td><td><input style="width:250px" type="text" name="rss['+channel+']['+Id+']" value="'+baseRss+'" /></td><td><input type="radio" '+statusCheck+' name="private['+channel+']['+Id+']" value="0" /></td><td><input type="radio" '+statusCheck1+' name="private['+channel+']['+Id+']" value="1" /></td><td><input type="radio" '+statusCheck2+' name="private['+channel+']['+Id+']" value="2" /></td><td><input style="margin-top:8px" type="checkbox" '+statusCheck3+' name="f9['+channel+']['+Id+']" /></td><td><span class="DeleteUrl21" onclick="RemoveUrl('+Id+')">-</span></td></tr>');
                Id++;
            }


            function AddUser(ids,channel)
            {
                $("#"+ids).append('<div id='+Id+' class="block-element"><span class="DeleteUrl23" onclick="RemoveUrl('+Id+')">-</span>Пользователь: <input style="width:150px" type="text" name="user['+channel+'][]" /> Текст приветствия: <input style="width:150px" type="text" name="welcome['+channel+'][]" /></div>');
                Id++;
            }

            function AddUserScore()
            {
                $("#userscore").append('<div id='+Id+' style="position:relative;margin-top:10px;">Логин: <input type="text" name="UserScore[]" value="" /><span class="DeleteUrlU" onclick="RemoveUser('+Id+')">-</span></div>');
                Id++;
            }

            function RemoveUser(id)
            {
                $("#"+id).remove();
            }

            function addCommand(id)
            {
                $("#add"+id).toggle('slow');
            }

            function getIp(ip)
            {
                var BaseData = '<p style="text-align:center">Данные отсуствуют</p>';
                $("#ipInfo").show();
                $("#ipInfo").html('<p style="text-align:center">Идет загрузка...</p>');
                $.get( "whois.php?ip="+ip, function( data ) {
                    if(data != '')
                    {
                        $("#ipInfo").html(data);
                    }
                    else
                    {
                        $("#ipInfo").html(BaseData);
                    }
                });
            }

            function ClosedIp()
            {
                $("#ipInfo").html('');
                $("#ipInfo").hide();
            }

            $(document).ready(function() {
                $('.minus').click(function () {
                    var $input = $(this).parent().find('input');
                    var count = parseInt($input.val()) - 1;
                    count = count < 1 ? 1 : count;
                    $input.val(count);
                    $input.change();
                    return false;
                });
                $('.plus').click(function () {
                    var $input = $(this).parent().find('input');
                    $input.val(parseInt($input.val()) + 1);
                    $input.change();
                    return false;
                });
            });

        </script>
    </head>
    <body>
        <div id="loadPage">идет загрузка...</div>
        <div class="all">
            <div class="top">
                <p>Web панель администратора</p>
                <img src="<?=$pathToImage?>logo.gif" alt="" />
            </div>
            <div class="left">
                <h2>Администрирование</h2>
                <ul>
                    <li><a href="?page=chanel">Список каналов</a></li>
                    <li><a href="?page=board">Доска объявлений</a></li>
                    <li><a href="?page=users">Пользователи</a></li>
                    <li><a href="?page=ban">Бан лист</a></li>
                    <li><a href="?page=activation">Список заявок на активацию</a></li>
                </ul>
                <h2>Данные</h2>
                <ul>
                    <li><a href="?page=online">Онлайн</a></li>
                    <li><a href="?page=score">Количество сообщений</a></li>
                    <li><a href="?page=history">Архив сообщений</a></li>
                    <li><a href="?page=gallery">Галерея изображений</a></li>
                </ul>
                <h2>Дополнительно</h2>
                <ul>
                    <li><a href="?page=goro">Гороскоп</a></li>
                    <li><a href="?page=weather">Погода</a></li>
                    <li><a href="?page=valute">Курсы валют</a></li>
                    <li><a href="?page=anekdot">Анекдоты</a></li>
                    <li><a href="?page=time">Время на сервере</a></li>
                    <li><a href="?page=vk">Вывод картинок из групп вконтакте</a></li>
                    <li><a href="?page=enter_scrore">Вывод количества сообщений</a></li>
                    <li><a href="?page=rss">RSS импорт</a></li>
                    <li><a href="?page=welcome">Приветствие</a></li>
                    <li><a href="?page=command">Текстовые команды</a></li>
                    <li><a href="?page=music">Поиск музыки</a></li>
                    <li><a href="?page=google">Поиск Google</a></li>
                </ul>
                <h2>Настройки</h2>
                <ul>
                    <li><a href="?page=baseconf">Общие</a></li>
                </ul>
                <h2>Бот</h2>
                <ul>
                    <li><a href="?page=bot">Настройки</a></li>
                    <li><a href="start.php" target="_blank" rel="start.php">Запуск остановка</a></li>
                </ul>
                <h2>Выход</h2>
                <ul>
                    <li><a href="?page=exit">Выйти</a></li>
                </ul>
            </div>
            <div class="right">
                <?=$content?> 
            </div>
            <div class="clear-line"></div>
        </div>
        <div class="bottom">Web панель администратора Commfort | версия 0.2.6</div>
        <script type="text/javascript">
            var aLinks = document.getElementsByTagName("a");
            for (var i = 0, count = aLinks.length; i < count; i ++) {
                aLinks[i].onclick = function() {
                    str = this.href;
                    altValue = this.rel;
                    if(altValue != 'nofollow' && altValue != 'image' && altValue != 'start.php')
                    {
                        $('#loadPage').show(); 
                    }
                }
            }
        </script>
    </body>
</html>