CREATE TABLE `command` (
  `id` int(100) NOT NULL auto_increment,
  `command` varchar(250) NOT NULL,
  `channel` varchar(250) NOT NULL,
  `text` text NOT NULL,
  `type` int(3) NOT NULL,
  `f9` int(2) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;


CREATE TABLE `console` (
  `id` int(100) NOT NULL auto_increment,
  `type` varchar(250) NOT NULL,
  `data` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `gallery` (
  `id` int(100) NOT NULL auto_increment,
  `login` varchar(200) NOT NULL,
  `channel` varchar(200) NOT NULL,
  `image` varchar(250) NOT NULL,
  `date` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `history` (
  `id` int(100) NOT NULL auto_increment,
  `login` varchar(100) NOT NULL,
  `type_message` int(5) NOT NULL,
  `message` text NOT NULL,
  `channel` varchar(200) NOT NULL,
  `date` datetime NOT NULL,
  `uid` double(100,8) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `result` (
  `id` int(100) NOT NULL auto_increment,
  `type` varchar(250) NOT NULL,
  `data` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE `rss` (
  `command` varchar(250) NOT NULL,
  `channel` varchar(250) NOT NULL,
  `text` text NOT NULL,
  `time` int(100) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `rss_command` (
  `command` varchar(250) NOT NULL,
  `rss_fedd` varchar(250) NOT NULL,
  `channel` varchar(250) NOT NULL,
  `type` int(4) NOT NULL,
  `f9` int(2) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `score_user` (
  `login` varchar(200) NOT NULL,
  `count` int(100) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

CREATE TABLE `vk` (
  `id` int(10) NOT NULL auto_increment,
  `image` varchar(250) NOT NULL,
  `status` int(2) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 ;