<?php
	include('conf/keyload.php');
    function seconds2times($seconds)
    {
        $times = array();

        // считать нули в значениях
        $count_zero = false;

        // количество секунд в году не учитывает високосный год
        // поэтому функция считает что в году 365 дней
        // секунд в минуте|часе|сутках|году
        $periods = array(60, 3600, 86400, 31536000);

        for ($i = 3; $i >= 0; $i--)
        {
            $period = floor($seconds/$periods[$i]);
            if (($period > 0) || ($period == 0 && $count_zero))
            {
                $times[$i+1] = $period;
                $seconds -= $period * $periods[$i];

                $count_zero = true;
            }
        }

        $times[0] = $seconds;
        return $times;
    }
    
    include('conf/bot.php');

    session_start();
    date_default_timezone_set('Europe/Moscow');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"> 
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <title>Запуск бота</title>
        <link href="html/css/start_for.css" rel="stylesheet" />
    </head>
    <body>
        <?php
            include('conf/pass.php');
            if(isset($_SESSION['login']) && isset($_SESSION['password']) && $_SESSION['login'] == $login && $_SESSION['password'] == $password)
            {
                $EndTime = 0;
                if(file_exists('data/channel_list.txt'))
                {
                    $timesFile = filemtime('data/channel_list.txt');
                    $times = $timesFile+($backH*3600);
                    $EndTime = $times; 
                }
                else
                {
                    $times = time();
                }

                $TimeTest = $timesFile+($TimeUpdate+2)*60;
                if(isset($_POST['start']))
                {
                    file_put_contents('stop.txt','');
                ?>
                <iframe src="load.php?key=<?=$KeyLoad?>" width="0" height="0"  align="left">
                    Ваш браузер не поддерживает плавающие фреймы!
                </iframe>
                <?php
                }

                if(isset($_POST['stop']))
                {
                    file_put_contents('stop.txt','1');
                }

                $data = file_get_contents('stop.txt');
                if($data == 1 || time() > $TimeTest)
                {
                    $textStop = '';
                    if($EndTime != 0)
                    {
                        $textStop = '<p style="text-align:center">Время остановки бота: '.date('d.m.Y H:i:s',$EndTime).'</p>';
                    }
                ?>
                <form action="#" method="post">
                    <p style="text-align: center;"><input type="submit" name="start" value="Запустить" /></p>
                    <p class="alert-for-start">Внимание: для входа в панель администратора, требуется запустить бота</p>
                    <?=$textStop?>
                </form>
                <?php
                }
                else
                {
                    $FileTime = filemtime('stop.txt');
                    $StartTime = $FileTime+($TimeBack*3600);
                    $WorkTime = time()-$FileTime;
                    $Format = seconds2times($WorkTime);
                    $EnterTime = '';
                    if(isset($Format[3]))
                    {
                       $EnterTime .= $Format[3].' дн. '; 
                    }
                    if(isset($Format[2]))
                    {
                       $EnterTime .= $Format[2].' ч. '; 
                    }
                    if(isset($Format[1]))
                    {
                      $EnterTime .= $Format[1].' мин. ';   
                    }
                    if(isset($Format[0]))
                    {
                       $EnterTime .= $Format[0].' сек. ';  
                    } 
                ?>
                <form action="#" method="post">
                    <p style="text-align: center;"><input type="submit" name="stop" value="Остановить" /></p>
                    <p style="text-align: center;">Дата запуска бота: <?=date('d.m.Y H:i:s',$StartTime)?> <br /> Работает: <?=$EnterTime?></p>
                </form>
                <?php
                }
            }
        ?>
    </body>
</html>